[ARVADOS] updated: 2.2.1-13-g579ec1645

Git user git at public.arvados.org
Fri Jul 30 17:32:16 UTC 2021


Summary of changes:
 build/run-build-packages-one-target.sh | 3 +++
 1 file changed, 3 insertions(+)

       via  579ec1645beffbaf648629fd7c816cdf668cca76 (commit)
      from  f4baf1a752d05aa495c2893cb57c65c6153be53f (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 579ec1645beffbaf648629fd7c816cdf668cca76
Author: Ward Vandewege <ward at curii.com>
Date:   Fri Jul 30 13:27:35 2021 -0400

    Add extra validation of our package version format in the build scripts,
    it must match
    
      ^[0-9]+\.[0-9]+\.[0-9]+(\.[0-9]+|)(~rc[0-9]+|~dev[0-9]+|)-[0-9]+$
    
    No issue #
    
    Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>

diff --git a/build/run-build-packages-one-target.sh b/build/run-build-packages-one-target.sh
index 8365fecad..ba16c8465 100755
--- a/build/run-build-packages-one-target.sh
+++ b/build/run-build-packages-one-target.sh
@@ -106,6 +106,9 @@ while [ $# -gt 0 ]; do
             elif ! [[ "$2" =~ (.*)-(.*) ]]; then
                 echo >&2 "FATAL: --build-version '$2' does not include an iteration. Try '${2}-1'?"
                 exit 1
+            elif ! [[ "$2" =~ ^[0-9]+\.[0-9]+\.[0-9]+(\.[0-9]+|)(~rc[0-9]+|~dev[0-9]+|)-[0-9]+$ ]]; then
+                echo >&2 "FATAL: --build-version '$2' is invalid, must match pattern ^[0-9]+\.[0-9]+\.[0-9]+(\.[0-9]+|)(~rc[0-9]+|~dev[0-9]+|)-[0-9]+$"
+                exit 1
             else
                 ARVADOS_BUILDING_VERSION="${BASH_REMATCH[1]}"
                 ARVADOS_BUILDING_ITERATION="${BASH_REMATCH[2]}"

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list